org.eclnt.jsfserver.rttools

## Class DynBeanUI.GridItemSimpleDataType

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.FIXGRIDItem
  - - org.eclnt.jsfserver.rttools.DynBeanUI.GridItem
    - - org.eclnt.jsfserver.rttools.DynBeanUI.GridItemSimpleDataType

- All Implemented Interfaces:
    java.io.Serializable, IFIXGRIDItem
  Enclosing class:
    DynBeanUI

      public class DynBeanUI.GridItemSimpleDataType
      extends DynBeanUI.GridItem

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDItem

      `ROWHEIGHT_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GridItemSimpleDataType(DynBeanUI.Grid grid, java.lang.Object value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getValue()`
    `void` | `onPropertyAction(ActionEvent event)`
    `void` | `onRemove(ActionEvent event)`
    `void` | `setValue(java.lang.Object value)`

    - ### Methods inherited from class org.eclnt.jsfserver.rttools.DynBeanUI.GridItem

      `getBean, getBeanUI`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDItem

      `assignRowComponent, checkIfCellIsHighlighted, checkIfCellsAreHighlighted, getChangeIndex, getHighlightedCells, getRequestFocus, getRowHeight, getSelected, highlightCell, onRowDeselect, onRowDrop, onRowExecute, onRowPopupMenuItem, onRowPopupMenuLoad, onRowSelect, requestFocus, setRowHeight, setSelected, unhighlightAllCells, unhighlightCell, unrequestFocus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GridItemSimpleDataType

          public GridItemSimpleDataType(DynBeanUI.Grid grid,
                                        java.lang.Object value)

  - ### Method Detail

    - #### getValue

          public java.lang.Object getValue()

    - #### setValue

          public void setValue(java.lang.Object value)

    - #### onRemove

          public void onRemove(ActionEvent event)

      Overrides:
        `onRemove` in class `DynBeanUI.GridItem`

    - #### onPropertyAction

          public void onPropertyAction(ActionEvent event)

Copyright © CaptainCasa Gmbh. All Rights Reserved.